org.apache.tinkerpop.gremlin.structure

## Class VariablesTest.VariableExceptionConsistencyTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.VariablesTest.VariableExceptionConsistencyTest

- Enclosing class:
    VariablesTest

      public static class VariablesTest.VariableExceptionConsistencyTest
      extends AbstractGremlinTest

  Test exceptions around `Graph.Variables`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Exception` | `expectedException`
    `String` | `key`
    `String` | `name`
    `String` | `val`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableExceptionConsistencyTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `testGraphVariablesSet()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### key

          public String key

    - #### val

          public String val

    - #### expectedException

          public Exception expectedException

  - ### Constructor Detail

    - #### VariableExceptionConsistencyTest

          public VariableExceptionConsistencyTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### testGraphVariablesSet

          public void testGraphVariablesSet()
                                     throws Exception

      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.